net.corda.core.serialization

## Class KotlinObjectSerializer

- net.corda.core.serialization.KotlinObjectSerializer

-     public class KotlinObjectSerializer

  Serializer to deserialize kotlin object definitions marked with `interface DeserializeAsKotlinObjectDef`.

  See Also:
    `interface DeserializeAsKotlinObjectDef`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static KotlinObjectSerializer` | `INSTANCE` Serializer to deserialize kotlin object definitions marked with `interface DeserializeAsKotlinObjectDef`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `DeserializeAsKotlinObjectDef` | `read(com.esotericsoftware.kryo.Kryo kryo, com.esotericsoftware.kryo.io.Input input, java.lang.Class<net.corda.core.serialization.DeserializeAsKotlinObjectDef> type)`
    `void` | `write(com.esotericsoftware.kryo.Kryo kryo, com.esotericsoftware.kryo.io.Output output, DeserializeAsKotlinObjectDef obj)`

- - ### Field Detail

    - #### INSTANCE

          public static KotlinObjectSerializer INSTANCE

      Serializer to deserialize kotlin object definitions marked with `interface DeserializeAsKotlinObjectDef`.

      See Also:
        `interface DeserializeAsKotlinObjectDef`

  - ### Method Detail

    - #### read

          public DeserializeAsKotlinObjectDef read(com.esotericsoftware.kryo.Kryo kryo,
                                                   com.esotericsoftware.kryo.io.Input input,
                                                   java.lang.Class<net.corda.core.serialization.DeserializeAsKotlinObjectDef> type)

    - #### write

          public void write(com.esotericsoftware.kryo.Kryo kryo,
                            com.esotericsoftware.kryo.io.Output output,
                            DeserializeAsKotlinObjectDef obj)